# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# C:\ci\containers\00003pcgfng\tmp\build\80754af9\combined_recipe, last modified Thu Jun 24 22:06:37 2021
# ------------------------------------------------

package:
  name: sqlalchemy
  version: 1.4.19
source:
  sha256: 89a5a13dcf33b7e47c7a9404a297c836965a247c7f076a0fe0910cae2bee5ce2
  url: https://pypi.io/packages/source/S/SQLAlchemy/SQLAlchemy-1.4.19.tar.gz
build:
  number: '0'
  script: C:\\ci\\sqlalchemy_1624590519749\\_h_env\\python.exe -m pip install . --no-deps
    -vv
  string: py38h2bbff1b_0
requirements:
  build:
    - ca-certificates 2021.5.25 haa95532_1
    - certifi 2021.5.30 py39haa95532_0
    - openssl 1.1.1k h2bbff1b_0
    - python 3.9.5 h6244533_3
    - setuptools 52.0.0 py39haa95532_0
    - sqlite 3.35.4 h2bbff1b_0
    - tzdata 2021a h52ac0ba_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py39h2bbff1b_0
  host:
    - ca-certificates 2021.5.25 haa95532_1
    - certifi 2021.5.30 py38haa95532_0
    - openssl 1.1.1k h2bbff1b_0
    - pip 21.1.2 py38haa95532_0
    - python 3.8.10 hdbf39b2_7
    - setuptools 52.0.0 py38haa95532_0
    - sqlite 3.35.4 h2bbff1b_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.36.2 pyhd3eb1b0_0
    - wincertstore 0.2 py38_0
  run:
    - greenlet !=0.4.17
    - python >=3.8,<3.9.0a0
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
test:
  commands:
    - pip check
  imports:
    - sqlalchemy
    - sqlalchemy.connectors
    - sqlalchemy.databases
    - sqlalchemy.dialects
    - sqlalchemy.dialects.firebird
    - sqlalchemy.dialects.mssql
    - sqlalchemy.dialects.mysql
    - sqlalchemy.dialects.oracle
    - sqlalchemy.dialects.postgresql
    - sqlalchemy.dialects.sqlite
    - sqlalchemy.dialects.sybase
    - sqlalchemy.engine
    - sqlalchemy.event
    - sqlalchemy.ext
    - sqlalchemy.ext.declarative
    - sqlalchemy.orm
    - sqlalchemy.sql
    - sqlalchemy.testing
    - sqlalchemy.testing.plugin
    - sqlalchemy.util
  requires:
    - pip
about:
  description: 'SQLAlchemy is the Python SQL toolkit and Object Relational Mapper
    that

    gives application developers the full power and flexibility of SQL.

    '
  dev_url: https://bitbucket.org/zzzeek/sqlalchemy/
  doc_source_url: https://github.com/zzzeek/sqlalchemy/blob/master/doc/build/index.rst
  doc_url: http://docs.sqlalchemy.org/en/rel_1_0/
  home: http://www.sqlalchemy.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Database Abstraction Library.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - igortg
    - mcs07
    - nehaljwani
    - ocefpaf
